Fix bug with -m/--mirror-only switch and write test case

Write some better selection test cases to test new Iterate_fast func.

Considering rewriting Selection Iterate(_fast) code again.

Fix remaining memory leaks in cmodule.c


---------[ Long term ]---------------------------------------
Security audit

--read-only and --write-only /usr/foo switches to tighten security up some.


Think about adding Gaudet's idea for keeping track of renamed files.



If don't recover hardlink support and hardlink support on, don't resume.



